Name: xchat-ruby
Version: 1.2
Release: 8%{?dist}
Summary: An X-Chat plugin providing scripting functionality with Ruby

Group: Applications/Internet
License: GPLv2+
URL: http://xchat-ruby.sourceforge.net/
Source0: http://downloads.sourceforge.net/xchat-ruby/%{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: xchat-ruby-global-rubyenv.patch
Patch1: xchat-ruby-dont-ignore-cflags.patch

BuildRequires: ruby(abi) = 1.8
BuildRequires: ruby-devel ruby
Requires: ruby(abi) = 1.8
Requires: xchat

%description
For those of us that prefer the Ruby programming language above all
others, the XChat-Ruby Plugin now allows X-Chat plugins to be written
in Ruby, in addition to the other supported scripting interfaces. This
means that, for the first time, you can use a purely object-oriented
language in which to write X-Chat plugins.


%prep
%setup -q -n xchat-ruby-%{version}-src
%patch0 -p1
%patch1 -p1


%build
cd src
CFLAGS="%{optflags}" make %{?_smp_mflags}


%install
# Get arch-specific load paths
%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e 'puts Config::CONFIG["sitearchdir"]')}
%{!?ruby_arch: %define ruby_arch %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')}

rm -rf %{buildroot}
mkdir %{buildroot}
cd src
# xchat-ruby's make install is broken
install -D xchat-ruby.so %{buildroot}%{_libdir}/xchat/plugins/xchat-ruby.so
mkdir -p %{buildroot}%{_sysconfdir}
cat <<EOS >%{buildroot}%{_sysconfdir}/xchat-rubyenv
/usr/lib/ruby/site_ruby/1.8
%{ruby_sitearch}
/usr/lib/ruby/site_ruby
/usr/lib/ruby/1.8
%{ruby_arch}
.
EOS


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xchat-rubyenv
%doc README COPYING
%{_libdir}/xchat/plugins/xchat-ruby.so


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 Conrad Meyer <konrad@tylerc.org> - 1.2-6
- Bump for GCC 4.3 rebuild

* Wed Nov 28 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-5
- SourceURL includes %%{version}
- BuildRequire Ruby 1.8 ABI for consistancy with Require
- Fixed macro in changelog

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-4
- Default load path now contains arch-specific directories

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-3
- Fixed xchat-rubyenv for 64-bit
- Patched Makefile to not ignore CFLAGS

* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with %%{_sysconfdir}

* Fri Nov 17 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- Initial package.
